Ricky logorickyDocs

List messages

GET
/conversations/{conversation_id}/messages

Newest first.

Scope: conversations:read.

Authorization

bearerAuth
headerAuthorizationBearer <token>

An organization API key, rky_live_…, created in Settings → API. Send it only from a server.

Path Parameters

conversation_id*string

Conversation ID.

Formatuuid

Query Parameters

cursor?string

next_cursor from the previous page. Use it unchanged.

Lengthlength <= 2048

Response Body

Success.

application/json
  1. response
data*array<>
next_cursor*|

Pass as cursor for the next page; null on the last page.

curl -X GET 'https://getricky.ai/api/v1/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/messages'
{  "data": [    {      "id": "c41d7e2a-5b6f-4a89-8c3d-0e1f2a3b4c5d",      "conversation_id": "9b2e4c61-7a3f-4d18-b5c2-6e0f1a2b3c4d",      "direction": "inbound",      "type": "text",      "text": "¿Ya están mis lentes?",      "sender": {        "type": "contact",        "name": null      },      "status": "read",      "media": {        "kind": "image",        "mime_type": "image/jpeg",        "filename": null,        "byte_size": -9007199254740991,        "transcript": null,        "url": null      },      "provider_message_id": "wamid.HBgLNTA3NjAwMDEyMzQV",      "created_at": "2026-10-14T15:30:00.000Z",      "sent_at": "2026-10-14T15:30:00.000Z",      "delivered_at": "2026-10-14T15:30:00.000Z",      "read_at": "2026-10-14T15:30:00.000Z",      "failed_at": "2026-10-14T15:30:00.000Z",      "edited_at": "2026-10-14T15:30:00.000Z",      "deleted_at": "2026-10-14T15:30:00.000Z"    }  ],  "next_cursor": "string"}